Change log for libjfreechart-java package in Ubuntu

119 of 19 results
Published in groovy-release on 2020-04-24
Published in focal-release on 2019-10-18
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2017-10-24
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
libjfreechart-java (1.0.19-2) unstable; urgency=medium

  * Team upload.
  * Do not install the NEWS file with libjfreechart-java-doc package. The
    upstream changelog is sufficiently verbose. (Closes: #841507)

 -- Markus Koschany <email address hidden>  Fri, 21 Oct 2016 11:38:39 +0200

Available diffs

Superseded in zesty-release on 2016-11-04
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
libjfreechart-java (1.0.13-9) unstable; urgency=medium

  * Team upload.
  * No longer build the experimental jar (never used)
  * Transition to libswt-gtk-4-java
  * Moved the package to Git
  * Standards-Version updated to 3.9.8
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <email address hidden>  Thu, 04 Aug 2016 14:21:56 +0200

Available diffs

Superseded in yakkety-release on 2016-08-05
Published in xenial-release on 2015-11-17
Deleted in xenial-proposed (Reason: moved to release)
libjfreechart-java (1.0.13-8) unstable; urgency=medium

  * Team upload.
  * Transition to bnd 2.1.0. Fix obsolete bnd parameter syntax in
    debian/rules.
  * Vcs-Browser: Use https.
  * Declare compliance with Debian Policy 3.9.6.
  * Add unmappable-character.patch. The JavaDocs were completely missing from
    the package. This patch resolves the javadoc errors. Changing the
    file.encoding did not work.

 -- Markus Koschany <email address hidden>  Tue, 17 Nov 2015 19:00:20 +0100

Available diffs

Superseded in xenial-release on 2015-11-17
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-22 (Reason: moved to release)
libjfreechart-java (1.0.13-7) unstable; urgency=medium


  * Team upload.
  * debian/control:
    - Build depend on libservlet3.1-java instead of libservlet2.5-java
    - Standards-Version updated to 3.9.5 (no changes)
    - Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9

 -- Emmanuel Bourg <email address hidden>  Mon, 08 Sep 2014 13:32:29 +0200

Available diffs

Superseded in vivid-release on 2014-10-25
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed (Reason: moved to release)
libjfreechart-java (1.0.13-5) unstable; urgency=low


  * Fix Vcs-* fields of d/control.
  * Removed Michael Koch from Uploaders (Closes: #654077).
  * Build libjfreechart-swt-java binary package.
  * Add OSGi metadata to JAR manifests.
  * Added Jakub Adam to Uploaders.
  * Bump Standards-Version to 3.9.4.

 -- Jakub Adam <email address hidden>  Sun, 07 Oct 2012 01:24:51 +0200

Available diffs

Superseded in raring-release on 2012-10-29
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
libjfreechart-java (1.0.13-4) unstable; urgency=low

  * Team upload.

  [ Ioan Eugen STAN ]
  * Fix "Package does not install maven artifacts" - applyed the patch sent
    (Closes: #620045):
    - debian/control: Build-Depends on maven-repo-helper
    - debian/poms/jfreechart.pom: added file
    - debian/rules: 
       + added PACKAGE and MAVEN_REPO
       + added binary-post-install rule to install poms and jars
       + added get-orig-pom rule to download pom files from debian/poms
  * debian/source/format: added file (switch to quilt).
  * debian/patches/series: added file.
  * debian/patches/javaDocLink.diff: patch for ant/build.xml to link package
    javadoc to system javadoc.

  [ Damien Raude-Morvan ]
  * Update to Standards-Version 3.9.2:
    - Rename debian/README.Debian-source to debian/README.source.
  * Drop Depends on JRE since it's a library (as per Debian Java
    Policy).
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  30 Apr 2011 13:06:03 +0000

Available diffs

Superseded in oneiric-release on 2011-04-30
Obsolete in natty-release on 2013-06-04
libjfreechart-java (1.0.13-3) unstable; urgency=low

  * Team upload.
  * Include jcommon.jar in Class-Path entry of META-INF/MANIFEST.MF
    using jh_manifest (Closes: #601576):
    - d/control: Depends on javahelper.
    - d/rules: Call jh_manifest on jfreechart.jar and *-experimental.jar.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  01 Nov 2010 10:29:29 +0000

Available diffs

Superseded in natty-release on 2010-11-01
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
libjfreechart-java (1.0.13-2) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/control
    - default-jdk/jre conversion.
    - Change runtime jre dependency to match target JVM version specified in
      build.xml.
    - Change build-dep libservlet2.4-java -> libservlet2.5-java.
    - Sync runtime version of libjcommon-java with build-dep version.
    - Change standards version to 3.8.3.
  * debian/rules
    - There are no patches. Remove simple patchsys include. 
    - Change JAV_HOME to match default-jdk. Remove ANT_HOME.
    - Remove unnecessary ant-launcher jar from DEB_JARS.
    - Remove DEB_ANT_COMPILER. Not needed these days.
    - Change servelet-api jar to 2.5.
    - Build experimental jar as well.
  * debian/dirs
    - Remove. Not really needed.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Sat,  05 Dec 2009 21:31:45 +0000

Available diffs

Superseded in lucid-release on 2009-12-05
Obsolete in karmic-release on 2013-03-04
libjfreechart-java (1.0.13-1) unstable; urgency=low

  * New upstream release (closes: #533374)
  * Added myself to uploaders
  * Moved to Section: java
  * Already conforms to standards 3.8.2
  * Add ${misc:Depends} to dependencies for potential debhelper-induced 
    dependencies
  * Adapted debian/rules to the new location of the generated jar

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  18 Jun 2009 08:32:45 +0100

Available diffs

Superseded in karmic-release on 2009-06-18
Obsolete in jaunty-release on 2013-02-28
libjfreechart-java (1.0.10-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.0

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  04 Nov 2008 21:31:56 +0000

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
libjfreechart-java (1.0.9-1) unstable; urgency=high

  [ Varun Hiremath ]
  * New upstream release
  * This release fixes the following security issue:
    + Multiple cross-site scripting vulnerabilities in the image map
    feature allow remote attackers to inject arbitrary web script or HTML
    via several attributes (CVE-2007-6306; Closes: #456148).
  * Fix debian/watch to include letters also in upstream version.
  * Make some minor fixes in debian/orig-tar.sh file.
  * debian/control: Bumped up Standards-Version to 3.7.3

  [ Michael Koch ]
  * Use uscan SourceForge helper in watch file.

 -- Michael Bienia <email address hidden>   Mon,  07 Jan 2008 19:48:45 +0000
Superseded in hardy-release on 2008-01-07
libjfreechart-java (1.0.8-1) unstable; urgency=low

  * New upstream release.
  * Upstream changelog name fixed.
  * Update copyright, with license LGPL 2.1.
  * Use Vcs-Svn and Vcs-Browser in place of XS-* fields.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  27 Nov 2007 00:56:06 +0000
Superseded in hardy-release on 2007-11-27
libjfreechart-java (1.0.6-2) unstable; urgency=low

  * Removed j2re1.4 from Depends.

Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
libjfreechart-java (1.0.2-3) unstable; urgency=low

  * Merged from Ubuntu.
  * Moved Build-Depends-Indep to Build-Depends.
  * Removed Wolfgang and added myself to Uploaders.
  * Updated Standards-Version.

 -- Lionel Porcheron <email address hidden>   Wed,  20 Jun 2007 09:48:22 +0100
Superseded in gutsy-release on 2007-06-20
Obsolete in feisty-release on 2009-08-20
libjfreechart-java (1.0.2-2ubuntu1) feisty; urgency=low

  * Re-merge with Debian.  Changes kept:
    * Fix versioned build dependency on libjcommon-java.
    * Build-depend on libservlet2.4-java instead of libservlet2.3-java
      -- Matthias Klose <email address hidden>  Wed, 11 Oct 2006 22:30:49 +0000

 -- Barry deFreese <email address hidden>   Tue,  6 Feb 2007 09:50:59 -0500
Superseded in feisty-release on 2007-02-06
Obsolete in edgy-release on 2008-06-19
libjfreechart-java (1.0.2-0ubuntu2) edgy; urgency=low

  * Fix versioned build dependency on libjcommon-java.
  * Build-depend on libservlet2.4-java instead of libservlet2.3-java.

 -- Matthias Klose <email address hidden>   Wed, 11 Oct 2006 22:30:49 +0000
Superseded in edgy-release on 2006-10-11
Superseded in edgy-release on 2006-10-03
libjfreechart-java (1.0.2-0ubuntu1) edgy; urgency=low

  * New upstream release.
  * Change section from contrib to main; "JFreeChart should work quite well
    with free runtimes based on GNU Classpath 0.92 or later".
  * Build using java-gcj-compat-dev.

 -- Matthias Klose <email address hidden>   Tue,  3 Oct 2006 12:42:07 +0000
Superseded in edgy-release on 2006-10-03
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
libjfreechart-java (0.9.8-3.1) unstable; urgency=low


  * NMU
  * Removed libservlet2.2-java from the Build-Depends-Indep.

 -- Arnaud Vandyck <email address hidden>  Sun, 24 Apr 2005 22:01:13 +0200
Obsolete in hoary-release on 2008-03-19
Obsolete in warty-release on 2008-01-09
libjfreechart-java (0.9.8-3) unstable; urgency=low


  * Change the way to deal with externals java libs 

 -- Christian Bayle <email address hidden>  Thu, 10 Jul 2003 09:34:09 +0200
119 of 19 results